Bug 1685228 - Operator should use imagePullPolicy: IfNotPresent
Summary: Operator should use imagePullPolicy: IfNotPresent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Templates
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1685219 1685224 1685225 1685227
Blocks: 1685229 1685230 1685232
TreeView+ depends on / blocked
 
Reported: 2019-03-04 17:37 UTC by Clayton Coleman
Modified: 2019-06-04 10:45 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1685227
: 1685229 (view as bug list)
Environment:
Last Closed: 2019-06-04 10:44:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:44 UTC

Description Clayton Coleman 2019-03-04 17:37:45 UTC
+++ This bug was initially created as a clone of Bug #1685219 +++

Use imagePullPolicy: IfNotPresent instead of always in:

["openshift-cluster-samples-operator","cluster-samples-operator-7d98c998dc-pnr6h"]

Comment 1 Gabe Montero 2019-03-04 18:34:28 UTC
PR https://github.com/openshift/cluster-samples-operator/pull/122 is up

Comment 2 Gabe Montero 2019-03-04 21:13:28 UTC
PR has merged

Comment 3 XiuJuan Wang 2019-03-11 09:12:07 UTC
samples operator is running with "imagePullPolicy: IfNotPresent".
Verified with version 4.0.0-0.nightly-2019-03-10-151536

Comment 6 errata-xmlrpc 2019-06-04 10:44:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.